### Name: geom_boxplot
### Title: geom_boxplot
### Aliases: geom_boxplot GeomBoxplot
### Keywords: hplot

### ** Examples
## Not run: 
##D     p <- ggplot(mtcars, aes(y=mpg, x=factor(cyl)))
##D     
##D     p + geom_boxplot()
##D     p + stat_boxplot()
##D     p + geom_boxplot() + geom_jitter()
##D     p + geom_boxplot() + coord_flip()
##D     
##D     p + geom_boxplot(outlier.colour = "green", outlier.size = 3)
##D     
##D     # Add aesthetic mappings
##D     p + geom_boxplot(aes(fill=cyl))
##D     p + geom_boxplot(aes(fill=factor(cyl)))
##D     p + geom_boxplot(aes(colour=cyl), size=1)
##D     
##D     # Dodged boxplots
##D     # - automatically split when an aesthetic variable is a factor
##D     p + geom_boxplot(aes(colour=factor(am)))
##D     p + geom_boxplot(aes(fill=factor(vs)), colour="black")
##D     p + geom_boxplot(aes(size=factor(gear)))
##D     
##D     # Set aesthetics to fixed value
##D     p + geom_boxplot(fill="black", colour="white", size=1)
##D 
##D     # Scales vs. Coordinate transforms
##D     m <- ggplot(movies, aes(y=votes, x=rating, group=round_any(rating,0.5)))
##D     m + geom_point()
##D     m + geom_boxplot()
##D     m + geom_boxplot() + scale_y_log10()
##D     m + geom_boxplot() + coord_trans(y="log10")
##D     m + geom_boxplot() + scale_y_log10() + coord_trans(y="log10")
##D     
##D     # Boxplots with continuous x
##D     qplot(year, budget, data=movies, geom="boxplot")
##D     qplot(year, budget, data=movies, geom="boxplot", group=year)
##D     qplot(year, budget, data=movies, geom="boxplot", group=round_any(year, 10, floor))
##D     
##D     # Use qplot instead
##D     qplot(factor(cyl), mpg, data=mtcars, geom="boxplot")
##D     qplot(factor(cyl), mpg, data=mtcars, geom="boxplot") + coord_flip()
## End(Not run)


