### Name: scale_brewer
### Title: scale_brewer
### Aliases: scale_brewer scale_colour_brewer scale_fill_brewer ScaleBrewer
### Keywords: hplot

### ** Examples
## Not run: 
##D     (d <- qplot(carat, price, data=diamonds, colour=clarity))
##D     
##D     # Change scale label
##D     d + scale_colour_brewer()
##D     d + scale_colour_brewer("clarity")
##D     d + scale_colour_brewer(expression(clarity[beta]))
##D 
##D     # Select brewer palette to use, see ?brewer.pal for more details
##D     d + scale_colour_brewer(type="seq")
##D     d + scale_colour_brewer(type="seq", palette=3)
##D 
##D     display.brewer.all(n=8, exact.n=FALSE)
##D 
##D     d + scale_colour_brewer(palette="Blues")
##D     d + scale_colour_brewer(palette="Set1")
##D     
##D     # One way to deal with overplotting - use transparency
##D     # (only works with pdf, quartz and cairo devices)
##D     d + scale_colour_brewer(alpha = 0.2)
##D     d + scale_colour_brewer(alpha = 0.01)
##D   
##D     # scale_fill_brewer works just the same as 
##D     # scale_colour_brewer but for fill colours
##D     ggplot(diamonds, aes(x=price, fill=cut)) + 
##D       geom_bar(position="dodge") + 
##D       scale_fill_brewer()
##D     
## End(Not run)


